Skip to content
Clym Partner Portal

API reference

Instance property

Read a merchant's property and manage its subdomains and widget assets, through the instance gateway.

Get property

GET

Retrieve the property information and configuration

Query parameters:

Name Type Required Description
merchant_id string No Merchant ID (takes priority over domain_id and property_id)
domain_id string No Domain ID (takes priority over property_id)
property_id string No Property ID
200Result with an array of recordsapplication/json
resultobjectrequired
Show properties
idstringoptional
The property id
namestringoptional
The property name
statusstringenumoptional
The property status
Possible values: NEW INVITED SCANNED ACTIVE
descriptionstringoptional
The property description. Only returned when set.
activated_atstringoptional
When the property last became ACTIVE. Only returned when set.
is_subscription_activebooleanoptional
Whether the property's subscription is active.
widget_typestringenumoptional
The widget type configured for the property.
Possible values: V1 V2
companyobjectoptional
The company that owns the property.
Show properties
idstringoptional
The company id
namestringoptional
The company name
get/portal/instance/property
GET /api/portal/instance/property HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Result with an array of records
{
  "result": {
    "id": "string",
    "name": "string",
    "status": "NEW",
    "description": "string",
    "activated_at": "string",
    "is_subscription_active": false,
    "widget_type": "V1",
    "company": {
      "id": "string",
      "name": "string"
    }
  }
}

Send instructions

POST

This API endpoint is used to send implementation instructions to the specified email address

Query parameters:

Name Type Required Description
merchant_id string No Merchant ID (takes priority over domain_id and property_id)
domain_id string No Domain ID (takes priority over property_id)
property_id string No Property ID
Request bodyapplication/json
emailstringrequired
The email address to send the implementation instructions
messagestringoptional
Additional information to be included in the email
200Request completed successfullyapplication/json
resultobjectoptional
post/portal/instance/property/support/instructions
POST /api/portal/instance/property/support/instructions HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*

{
  "email": "string",
  "message": "string"
}
200Request completed successfully
{
  "result": {}
}

Sign asset

POST

Prepares a signed URL for a logo, logo_light or favicon to be uploaded for the property.

Query parameters:

Name Type Required Description
merchant_id string No Merchant ID (takes priority over domain_id and property_id)
domain_id string No Domain ID (takes priority over property_id)
property_id string No Property ID
Request bodyapplication/json
fieldstringenumrequired
The property field you want to upload an asset for
Possible values: logo_url logo_light_url favicon_url hero_image_url
mimestringrequired
The mime type of the asset you want to upload
200Result with the added property domainapplication/json
resultobjectrequired
Show properties
urlstringoptional
The signed upload URL to be used
post/portal/instance/property/settings/widget/sign-asset
POST /api/portal/instance/property/settings/widget/sign-asset HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*

{
  "field": "logo_url",
  "mime": "image/png"
}
200Result with the added property domain
{
  "result": {
    "url": "string"
  }
}

Delete asset

DELETE

This API endpoint is used when you want to remove a previously uploaded asset from the property.

Query parameters:

Name Type Required Description
merchant_id string No Merchant ID (takes priority over domain_id and property_id)
domain_id string No Domain ID (takes priority over property_id)
property_id string No Property ID
field string Yes The property asset field to remove
200Request completed successfullyapplication/json
resultobjectoptional
delete/portal/instance/property/settings/widget/remove-asset
DELETE /api/portal/instance/property/settings/widget/remove-asset HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Request completed successfully
{
  "result": {}
}

Get subdomains

GET

Retrieve a list of available subdomains for this property

Query parameters:

Name Type Required Description
merchant_id string No Merchant ID (takes priority over domain_id and property_id)
domain_id string No Domain ID (takes priority over property_id)
property_id string No Property ID
200Result with an array of property subdomainsapplication/json
metaobjectoptional
Pagination metadata
Show properties
current_pagenumberoptional
next_pagenumberoptional
prev_pagenumberoptional
resultobjectrequired
Show properties
idstringoptional
namestringoptional
is_primarybooleanoptional
created_atstringoptional
get/portal/instance/property/subdomains
GET /api/portal/instance/property/subdomains HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Result with an array of property subdomains
{
  "meta": {
    "current_page": 0,
    "next_page": 0,
    "prev_page": 0
  },
  "result": {
    "id": "string",
    "name": "string",
    "is_primary": false,
    "created_at": "string"
  }
}

Create subdomains

POST

Create a new subdomains for this property

Query parameters:

Name Type Required Description
merchant_id string No Merchant ID (takes priority over domain_id and property_id)
domain_id string No Domain ID (takes priority over property_id)
property_id string No Property ID
Request bodyapplication/json
namestringrequired
The full domain hostname to be added
200Result with the added property domainapplication/json
resultobjectrequired
Show properties
idstringoptional
namestringoptional
is_primarybooleanoptional
created_atstringoptional
post/portal/instance/property/subdomains
POST /api/portal/instance/property/subdomains HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*

{
  "name": "mydomain.com"
}
200Result with the added property domain
{
  "result": {
    "id": "string",
    "name": "string",
    "is_primary": false,
    "created_at": "string"
  }
}

Delete subdomains

DELETE

Deletes the specified property subdomains

Path parameters:

Name Type Required Description
id string Yes The property subdomain id, as returned by GET /portal/instance/property/subdomains

Query parameters:

Name Type Required Description
merchant_id string No Merchant ID (takes priority over domain_id and property_id)
domain_id string No Domain ID (takes priority over property_id)
property_id string No Property ID
delete/portal/instance/property/subdomains/{id}
DELETE /api/portal/instance/property/subdomains/{id} HTTP/1.1
Host: partners.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Request completed successfully
{}

© 2026 Clym Partner PortalTermsPrivacy policyCookie policy